Subject: Re: [X2Go-Dev] Bug#708: x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.

From: Mike Gabriel <[email-masked]>
Date: Fri, 19 Dec 2014 13:07:58 +0000

HI Daniel,

On  Fr 19 Dez 2014 11:14:13 CET, Zuck, Daniel wrote:

> Package: x2goserver
> Version: 4.0.1.15
>
> Hello
>
> The environment ist:
> x2goagent: 3.5.0.27
> x2goserver: 4.0.1.15
> x2goserver-compat: 4.0.1.15
> x2goserver-extensions: 4.0.1.15
> x2goserver-fmbindings: 4.0.1.15
> x2goserver-printing: 4.0.1.15
> x2goserver-pyhoca: 4.0.1.15
> x2goserver-xsession: 4.0.1.15
> running on SLES11SP3. We have several servers running X2go, where at  
> two systems a session resume raises an error since the same day:
>
> DBD::SQLite::st execute failed: unable to open database file at  
> /usr/lib/x2go/x2gosqlitewrapper.pl line 320.
> syslog: invalid level/facility: error at  
> /usr/lib/x2go/x2gosqlitewrapper.pl line 323
>
> The message is shown by the X2Go-Client on a reconnect, right before  
> the "session-status-info-window" becomes visible. Now at the GUI  
> "Suspend Session" (in German: Anhalten) is selected, after this a  
> reconnect to the session to resume. On clicking "Suspend Session",  
> the error message is shown again. Then the session is selected and  
> "klicked", which results in a "normal" resume of the session, and  
> the remote GUI becomes visible.
>
> The Syslog however has entries which read like the session is  
> suspended/resumed correctly without any issues:
>
> Dec 19 10:15:35 mxxxxxxxxx02 /usr/bin/x2gosuspend-session: session  
> with ID XYZAB-76-1417681012_stDGNOME_dp32 has been suspended  
> successfully
> Dec 19 10:16:30 mxxxxxxxxx02 /usr/bin/x2gosuspend-session: session  
> with ID XYZAB-76-1417681012_stDGNOME_dp32 has been suspended  
> successfully
> Dec 19 10:16:39 mxxxxxxxxx02 /usr/bin/x2goresume-session: client  
> 10.43.142.67 has successfully resumed session with ID  
> XYZAB-76-1417681012_stDGNOME_dp32
> Dec 19 10:16:49 mxxxxxxxxx02 /usr/bin/x2gosetkeyboard: Setting X  
> keyboard according to  
> /home/XYZAB/.x2go/C-XYZAB-76-1417681012_stDGNOME_dp32/keyboard
>
> Investigating further: When calling "x2golistsessions_root", the  
> script lists a number of states, including the error-message above.  
> So it appears to me, there is a consistency issue with the  
> SQLite-DB. I strongly assume, it can be worked-around by recreating  
> the DB, but I would like to sort out the reason, why it came to this  
> status.
>
> My questions:
> Is this issue known? - I did not find anything like this at the bugtracker.
> What information is needed for further investigations? - The system  
> is still in this state, so we can pull further infos.

This is indeed a weird issue.

First thing: please note that shortly the X2Go upstream team will  
provide a new source for SLES packages. The x2goserver version you are  
using is a little outdated already.

What makes me worry a bit is this message:

"""
syslog: invalid level/facility: error at  
/usr/lib/x2go/x2gosqlitewrapper.pl line 323
"""

I am not sure what perl-Syslog package version is shipped with SLES  
11.3, but it seems it cannot handle the "error" logging facility. This  
is weird in the first place and maybe you can investigate your system  
a bit more on this. (What version of perl-Syslog is installed, etc.)

Next question is: what file permissions are set on

   /var/lib/x2go/x2go_sessions
   /usr/<lib>/x2go/x2gosqlitewrapper

Next question:

   getent passwd x2gouser
   getent group x2gouser

Once you have provided those infos, you can consider running:

   sudo rm /var/lib/x2go/x2go_sessions
   sudo x2godbadmin --createdb

... and test again...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb